%{?nodejs_find_provides_and_requires}

Name:       nodejs-inherits
Version:    2.0.3
Release:    %mkrel 5
Summary:    A tiny simple way to do classic inheritance in js
License:    WTFPL
Group:      Development/C
URL:        https://github.com/isaacs/inherits
Source0:    https://registry.npmjs.org/inherits/-/inherits-%{version}.tgz
Source1:    https://raw.github.com/isaacs/inherits/112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package

#copy the license into %%{_builddir} so it works with %%doc
cp -p %{SOURCE1} LICENSE

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/inherits@2
cp -pr inherits.js package.json %{buildroot}%{nodejs_sitelib}/inherits@2

%nodejs_symlink_deps

ln -sf inherits@2 %{buildroot}%{nodejs_sitelib}/inherits

# rpm blows up if you try to replace a dir with a symlink or vice-versa
%pretrans -p <lua>
if posix.stat("%{nodejs_sitelib}/inherits", "type") == "directory" then
    os.rename('%{nodejs_sitelib}/inherits', '%{nodejs_sitelib}/inherits@2')
end

%files
%{nodejs_sitelib}/inherits@2
%{nodejs_sitelib}/inherits
%doc README.md LICENSE



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.3-5.mga10
+ Revision: 2208225
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.0.3-4.mga9
+ Revision: 1818461
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.3-3.mga8
+ Revision: 1502827
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.3-2.mga7
+ Revision: 1280512
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 2.0.3-1.mga7
+ Revision: 1245430
- new version: 2.0.3

* Fri May 13 2016 joequant <joequant> 2.0.1-1.mga6
+ Revision: 1014955
- upgrade to 2.0.1

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 950281
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 2.0.0-1.mga5
+ Revision: 793664
- imported package nodejs-inherits


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 2.0.0-1.mga5
- import from FC

* Fri Aug 16 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-4
- add some post-install hackery to work around potential RPM bug resulting in
  symlinks still pointing to their old locations on upgrade (RHBZ#997978)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-3
- only run the hack when we really need to

* Sat Jul 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-2
- use lua for pretrans

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-1
- new upstream release 2.0.0
- include license file
- follow the mutiple version spec

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-9
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-8
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-6
- add missing build section

* Thu Jan 03 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-5
- correct license tag (thanks to Robin Lee)

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-4
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-3
- guard Requires for F17 automatic depedency generation

* Sat Feb 11 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-2
- switch to automatically generated provides/requires

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
